<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('includes/start.php');
require_once ('includes/functions.php');
require_once ('includes/header.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 

switch ($act):
# ###########################################################################################
# #                                       Авторизация                                      ##
# ###########################################################################################
case 'index':

  if (isset($_POST['login'])) {
    $login = check($_POST['login']);
  } else {
    $login = check($_GET['login']);
  } 
  if (isset($_POST['pass'])) {
    $pass = check($_POST['pass']);
  } else {
    $pass = check($_GET['pass']);
  } 
  if (isset($_POST['cookietrue'])) {
    $cookietrue = (int)$_POST['cookietrue'];
  } else {
    $cookietrue = (int)$_GET['cookietrue'];
  } 

  if (!empty($login) && !empty($pass)) {
    $udata = DB :: $dbh -> queryFetch("SELECT * FROM `users` WHERE `users_login`=? LIMIT 1;", array($login));

    if (!empty($udata)) {
      if ($login == $udata['users_login'] && md5(md5($pass)) == $udata['users_pass']) {
        if ($cookietrue == 1) {
          $apar = xoft_encode($pass, $config['keypass']);
          $alog = xoft_encode($login, $config['keypass']);

          setcookie("cookpar", $apar, time() + 3600 * 24 * 365, '/', '');
          setcookie("cooklog", $alog, time() + 3600 * 24 * 365, '/', '');
        } 
        setcookie("cookname", $login, time() + 3600 * 24 * 365, '/', '');

        $_SESSION['log'] = $login;
        $_SESSION['par'] = $pass;
        $_SESSION['my_ip'] = $ip;

        DB :: $dbh -> query("UPDATE `users` SET `users_visits`=`users_visits`+1, `users_timelastlogin`=? WHERE `users_login`=?", array(SITETIME, $login));

        $_SESSION['note'] = 'Вы успешно авторизованы!';
        header ("Location: index.php?" . SID);
        exit;
      } 
    } 
  } 

  $_SESSION['note'] = 'Ошибка авторизации. Неправильный логин или пароль!';
  header ("Location: pages/login.php");
  exit;
  break;
# ###########################################################################################
# #                                           Выход                                        ##
# ###########################################################################################
case 'exit':

  $_SESSION = array();
  setcookie('cookpar', '', 0, '/', '');
  setcookie('cooklog', '', 0, '/', '');
  setcookie(session_name(), '', 0, '/', '');
  session_unset();
  session_destroy();

  header ("Location: index.php");
  exit;
  break;

default:
  header("location: index.php");
  endswitch;

  ?>